[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.Ellipse

Draws a filled circle or ellipse, bounded by a rectangle.

## Declaration

Source position: winapih.inc line 95

`public function TWidgetSet.Ellipse(`
`DC: HDC;`
`x1: Integer;`
`y1: Integer;`
`x2: Integer;`
`y2: Integer`
`):Boolean; virtual;`

## Function result

False on failure.

## Description

The ellipse is outlined with the current pen, and filled with the current brush.

## See also

TWidgetSet.Arc |  | Use Arc to draw an elliptically curved line with the current Pen.